> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Team Member

> Adds a user to a team.

`Unary` · [`Teams`](/docs/api-reference/generated/team/overview)

Adds a user to a team.

Each user can belong to at most one team per organization.

Use this method to:

* Assign users to teams

### Examples

* Add a user to a team:

  ```yaml theme={null}
  teamId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
  ```

### Authorization

Requires `teammembership:create` permission on the team.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.TeamService/AddTeamMember
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.TeamService/AddTeamMember" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "teamId": "<team-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.team_pb2 as team_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = team_pb2.AddTeamMemberRequest(
      team_id="<team-id>",
  )
  response = ona.services.team.add_team_member(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { AddTeamMemberRequestSchema } from "@gitpod/sdk/gitpod/v1/team_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(AddTeamMemberRequestSchema, {
      teamId: "<team-id>",
    });
    const response = await ona.services.team.addTeamMember(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.AddTeamMemberRequest{
  		TeamId: "<team-id>",
  	})
  	response, err := ona.Services.Team.AddTeamMember(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "teamId": "<team-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.AddTeamMemberRequest`

| Field    | Type   | Required | Description                      |
| -------- | ------ | -------- | -------------------------------- |
| `teamId` | string | No       | Constraints: `string.uuid=true`. |
| `userId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.AddTeamMemberResponse`

| Field    | Type                                      | Required | Description |
| -------- | ----------------------------------------- | -------- | ----------- |
| `member` | [TeamMember](#type-gitpod-v1-team-member) | No       |             |

## Related types

<a id="type-gitpod-v1-team-member" />

<Accordion title="TeamMember">
  TeamMember represents a user's membership in a team.

  `gitpod.v1.TeamMember`

  | Field       | Type               | Required | Description                                                                 |
  | ----------- | ------------------ | -------- | --------------------------------------------------------------------------- |
  | `id`        | string             | No       | Unique identifier for the team membership. Constraints: `string.uuid=true`. |
  | `teamId`    | string             | No       | Constraints: `string.uuid=true`.                                            |
  | `userId`    | string             | No       | Constraints: `string.uuid=true`.                                            |
  | `createdAt` | RFC 3339 timestamp | No       |                                                                             |
  | `name`      | string             | No       | name is the user's display name, populated at query time.                   |
  | `avatarUrl` | string             | No       | avatar\_url is the user's avatar URL, populated at query time.              |
</Accordion>
